﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: VistaDBCommandBuilder.cs
//
//  Description: Creates SQL commands for VistaDB.
// 
//--------------------------------------------------------------------------

using System;
using System.Reflection;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Chili.Opf3.Query;
using Chili.Opf3.Query.OPathParser;

namespace Chili.Opf3.Storages.VistaDB
{
	/// <summary>
	/// Class that converts
	/// <see cref="Opf3.Query.ObjectExpression">ObjectExpression</see> classes to storage
	/// dependent <see cref="Opf3.Query.CompiledQuery">CompiledQuery</see> classes.
	/// </summary>
	internal sealed class VistaDBCommandBuilder : SqlCommandBuilderBase
	{
		/// <summary>
		/// Creates a new instance of the <see cref="VistaDBCommandBuilder">VistaDbCommandBuilder Class</see>.
		/// </summary>
		internal VistaDBCommandBuilder() : base(false)
		{
		}
	}
}
