#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Wizard.Shared.Storages
{
	/// <summary>
	/// Specifies the type of the relation.
	/// </summary>
	public enum RelationTypes
	{
		/// <summary>
		/// This relation is a one to many relation.
		/// </summary>
		OneToMany,
		/// <summary>
		/// This type of relation is a one to one relation.
		/// </summary>
		OneToOne,
		/// <summary>
		/// This type of relation is a many to many relation.
		/// </summary>
		ManyToMany
	}
}
