#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Wizard.Shared.UI
{
	/// <summary>
	/// Specifies whether a dialog is in edit or in new mode. New means that
	/// a new item is created.
	/// </summary>
	public enum DialogModes
	{
		/// <summary>
		/// The dialog generates a new item.
		/// </summary>
		New,
		/// <summary>
		/// The dialog edits an item.
		/// </summary>
		Edit
	}
}
