#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

#endregion

namespace Chili.Opf3.Wizard
{
	/// <summary>
	/// Encapsulates the WIN API calls from within this application.
	/// </summary>
	public static class WinAPI
	{
		/// <summary>
		/// Returns the pointer to the system menu.
		/// </summary>
		[DllImport("user32.dll")]
		public static extern int GetSystemMenu(int hwnd, int bRevert);

		/// <summary>
		/// Allows to add a new item to a menu.
		/// </summary>
		[DllImport("user32.dll")]
		public static extern int AppendMenu(int hMenu, int Flagsw, int IDNewItem, string lpNewItem); 
	}
}
