#region Developer's comment header
/* ConcurrencyDataBase.cs
 * 
 * author:    Christian Liensberger
 * copyright:  2004-2006 Chili Software. All rights reserved.
 * 
 * history:   22.04.2005, clien: Created.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Concurrency
{
	/// <summary>
	/// This class is the base class of all classes containing concurrency data.
	/// </summary>
	[Serializable]
	public abstract class ConcurrencyDataBase : ICloneable
	{
		#region ICloneable Members

		/// <summary>Creates a new object that is a copy of the current instance.</summary>
		/// <returns>A new object that is a copy of this instance.</returns>
		public abstract object Clone();

		#endregion
	}
}
