//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: PropertyGetDelegate.cs
//
//  Description: This delegate is used to invoke the get dynamic method.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3.Mapping
{
	/// <summary>
	/// This delegate is used to invoked the dynamic method that returns the value of a mapped
	/// property.
	/// </summary>
	/// <param name="obj">The persistent object whose dynamic method is invoked.</param>
	internal delegate object PropertyGetDelegate(object obj);
}
