﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OEBrackets.cs
//
//  Description: Brackets for the ObjectExpression.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>
	/// Represents a bracket in the OPath statement. 
	/// </summary>
	/// <remarks>
	/// Brackets in a OPath statement are converted to this class when OPath is compiled.
	/// </remarks>
	[Serializable]
	public sealed class OEBrackets : OEItem
	{
		/// <summary>
		/// Creates a new instance of the 
		/// <see cref="OEBrackets">OEBrackets Class</see>.
		/// </summary>
		internal OEBrackets()
		{
		}
	}
}
