﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: StoredProcedureParametersCollection.cs
//
//  Description: Represents a list of parameters for a StoredProcedureQuery.
// 
//--------------------------------------------------------------------------


using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3.Query.StoredProcedures
{
	/// <summary>
	/// This class represents a list of parameters for the 
	/// <see cref="StoredProcedureQuery">StoredProcedureQuery</see> Class.
	/// </summary>
	public sealed class StoredProcedureParametersCollection : List<StoredProcedureNamedParameter>
	{
	}
}
