//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: MsSqlCompcatCommandBuilder.cs
//
//  Description: Creates SQL commands for Microsoft SQL Server 2005
//               Compact Edition.
// 
//--------------------------------------------------------------------------

using System;
using System.Reflection;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Chili.Opf3.Query;
using Chili.Opf3.Query.OPathParser;

namespace Chili.Opf3.Storages.MsSqlCompact
{
	/// <summary>
	/// Class that converts
	/// <see cref="Opf3.Query.ObjectExpression">ObjectExpression</see> classes to storage
	/// dependent <see cref="Opf3.Query.CompiledQuery">CompiledQuery</see> classes.
	/// </summary>
	internal sealed class MsSqlCompactCommandBuilder : SqlCommandBuilderBase
	{
		/// <summary>
		/// Creates a new instance of the <see cref="MsSqlCompactCommandBuilder">MsSqlCompactCommandBuilder Class</see>.
		/// </summary>
		internal MsSqlCompactCommandBuilder()
			: base(false)
		{
		}
	}
}