#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Wizard.Shared
{
	/// <summary>
	/// This class contains information about the autor.
	/// </summary>
	public sealed class AutorInfo
	{
		private string _name;
		private string _copyright;

		/// <summary>
		/// Specifies the name of the autor.
		/// </summary>
		public string Name
		{
			get { return _name; }
			set
			{
				if (value == null)
					throw new ArgumentNullException("name", "Name is null.");
				_name = value;
			}
		}

		/// <summary>
		/// Specifies the copyright of the autor.
		/// </summary>
		public string Copyright
		{
			get { return _copyright; }
			set
			{
				if (value == null)
					throw new ArgumentNullException("copyright", "Copyright is null.");
				_copyright = value;
			}
		}
	}
}
