#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Chili.Opf3.Wizard.Shared;
using Chili.Opf3.Wizard.Properties;
using System.Text.RegularExpressions;

#endregion

namespace Chili.Opf3.Wizard.UI.Pages
{
	/// <summary>
	/// This class represents the page that shows the summary of the current selection.
	/// </summary>
	public partial class SummaryPage : BasePage
	{
		/// <summary>
		/// Creates a new instance of the <see cref="SummaryPage">SummaryPage Class</see>.
		/// </summary>
		public SummaryPage()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Invoked each time the page is opened.
		/// </summary>
		public override void PageOpening()
		{
			// Set the title and the description of the summary page header.
			SetHeaderTitle(Resources.SummaryPageHeaderTitle);
			SetHeaderDescription(Resources.SummaryPageHeaderDescription);
		}
	}
}
