﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OESortBy.cs
//
//  Description: SortBy for the ObjectExpression.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>
	/// Represents a SortBy in the OPath statement.
	/// Contains OESortByMembers representing the single sort expressions.
	/// </summary>
	/// <remarks>
	/// SortBys in a OPath statement are converted to this class when OPath is compiled.
	/// </remarks>
	[Serializable]
	public sealed class OESortBy : OEItem
	{
		/// <summary>
		/// Creates a new instance of the <see cref="OESortBy">OESortBy Class</see>.
		/// </summary>
		public OESortBy()
		{
		}
	}
}
