﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OEWhereCondition.cs
//
//  Description: Where condition of the ObjectExpression.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>
	/// Represents a Where condition in the OPath statement. 
	/// </summary>
	/// <remarks>
	/// Where conditions in a OPath statement are converted to this class when OPath is compiled.
	/// </remarks>
	[Serializable]
	public sealed class OEWhereCondition : OEItem
	{
		/// <summary>
		/// Creates a new instance of the <see cref="OEWhereCondition">OEWhereCondition Class</see>.
		/// </summary>
		internal OEWhereCondition()
		{
		}
	}
}
