//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: SortDirections.cs
//
//  Description: Specifies the directions of a sort.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3.Query
{
	/// <summary>
	/// The member of this enumeration specifies the sort condition for the query created by the
	/// <see cref="ObjectQueryBuilder{T}">ObjectQueryBuilder</see>.	
	/// </summary>
	public enum  SortDirections
	{
		/// <summary>
		/// Sorts in an ascending order.
		/// </summary>
		Ascending,
		/// <summary>
		/// Sorts in an descending order.
		/// </summary>
		Descending
	}
}
