﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: MsSqlCommandBuilder.cs
//
//  Description: Creates SQL commands for Microsoft SQL Server.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Chili.Opf3.Query;
using Chili.Opf3.Query.OPathParser;

namespace Chili.Opf3.Storages.MsSql
{
	/// <summary>
	/// Class that converts
	/// <see cref="Opf3.Query.ObjectExpression">ObjectExpression</see> classes to storage
	/// dependent <see cref="Opf3.Query.CompiledQuery">CompiledQuery</see> classes for Ms Sql Server.
	/// </summary>
	internal sealed class MsSqlCommandBuilder : SqlCommandBuilderBase
	{
		/// <summary>
		/// Creates a new instance of the <see cref="MsSqlCommandBuilder">MsSqlCommandBuilder Class</see>.
		/// </summary>
		public MsSqlCommandBuilder() : base(false)
		{
		}
	}
}
