﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OleDbCommandBuilder.cs
//
//  Description: Creates SQL commands for OLEDB.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Text;
using Chili.Opf3.Query;
using Chili.Opf3.Query.OPathParser;

namespace Chili.Opf3.Storages.OleDb
{
	/// <summary>
	/// Class that converts
	/// <see cref="Opf3.Query.ObjectExpression">ObjectExpression</see> classes to storage
	/// dependent <see cref="Opf3.Query.CompiledQuery">CompiledQuery</see> classes for OleDb storages.
	/// </summary>
	internal sealed class OleDbCommandBuilder : SqlCommandBuilderBase
	{
		/// <summary>
		/// Creates a new instance of the <see cref="OleDbCommandBuilder">OleDbCommandBuilder Class</see>.
		/// </summary>
		public OleDbCommandBuilder() : base(false)
		{
		}
	}
}
